Bug 974560 - [RHSC] Gluster Swift Status shows UP even after removing the hosts from that cluster.
[RHSC] Gluster Swift Status shows UP even after removing the hosts from that ...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Shubhendu Tripathi
RamaKasturi
:
Depends On: 985807 985873
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 08:37 EDT by RamaKasturi
Modified: 2015-05-15 13:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-23 07:07:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached engine and vdsm log. (12.48 MB, text/x-log)
2013-06-14 08:37 EDT, RamaKasturi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16573 None None None Never

  None (edit)
Description RamaKasturi 2013-06-14 08:37:36 EDT
Created attachment 761268 [details]
Attached engine  and vdsm log.

Description of problem:
Gluster Swift Status shows UP even after removing the hosts from that cluster.

Version-Release number of selected component (if applicable):
rhsc-2.1.0-0.bb3.el6rhs.noarch
vdsm-4.10.2-22.3.el6rhs.x86_64
glusterfs-3.4.0.9rhs-1.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a cluster with nodes.
2. Start all the cluster swift services in all the servers in that cluster.
3. Now remove the servers from the cluster.

Actual results:
Gluster Swift status show UP even after removing the servers from the cluster.

Expected results:
Gluster swift should show unknown after the servers are removed from the cluster.

Additional info:
Comment 3 Sahina Bose 2013-07-17 05:51:44 EDT
Fixed as per patch.
Comment 4 Dusmant 2013-10-16 13:19:31 EDT
Swift feature is not there in Corbett. Moved to future  release.
Comment 5 Sahina Bose 2015-01-23 07:07:50 EST
Closing this as management of Swift services is not in the immediate roadmap and this bug is no longer relevant.
Please open a new bug if Swift management feature is required

Note You need to log in before you can comment on or make changes to this bug.